function covarray = covfct(model,n);

% compute covariance function
% returns an n x # variables x variables array

A = model.phix;
C = model.phiy;
V = model.varw;
sigx = model.sigx;
sigy = model.sigy;

xs = size(A,1);
ys = size(C,1);
covarray = zeros(n,ys,ys);


% compute variance of state by solving Ricatti equation
[Exx,L,G,RR] = dare(A',zeros(xs,xs),sigx*V*sigx',eye(xs),zeros(xs,xs),eye(xs));

Exx

%A*Exx*A'+sigx*V*sigx'

% variance
covarray(1,:,:) = C*Exx*C'  +  sigy*V*sigy';

covarray(2,:,:) = C * ( A*Exx*C'  + sigx*V*sigy');

for j=2:n;
    
    covarray(j+1,:,:) =  C * (A^(j-1))* ( A*Exx*C'  + sigx*V*sigy');
    
end;







