


function a = ssmodel(varargin);
% define state space model
%
% syntax is 
%
%    m = ssmodel(muy,phix,sigx,phiy,sigy,varw,name)
%
% remark: cov matrix is flexible, can have 
%  (i)  innovations representation
%       set varw = forecast errors, sigx = AK, sigy = eye(#variables)
%  (ii) representation used for writing down ts model
%       varw = eye(#noises), sigx, sigy define the cov structure
switch nargin
case 0
% if no input arguments, create a default object
    a.muy = 0;
    a.phix = 0;
    a.sigx = 0;
    a.phiy = 0;
    a.sigy = 0;
    a.varw = 0;
    a.name = '';
    a = class(a,'ssmodel');  
case 1
% if single argument of class asset, return it
    if (isa(varargin{1},''))
        a = varargin{1};
   else
        error('Wrong argument type')
    end 
case 7
% create object using specified values
    a.muy = varargin{1};
    a.phix = varargin{2};
    a.sigx = varargin{3};
    a.phiy = varargin{4};
    a.sigy = varargin{5};
    a.varw = varargin{6};
    a.name = varargin{7};    
        
    a = class(a,'ssmodel');
otherwise
    error('Wrong number of input arguments')
end