function result = corrplotn(models,data,names,n);


colors = 'bcrmykbcrmyk';


nummodels = size(models,1)*size(models,2);
check = models{1};
ysz = size(check.phiy,1);

figure;
subplots = zeros(ysz,ysz);
for i=1:ysz;    
    for j=1:ysz;        
      subplots(i,j) = subplot(ysz,ysz,(i-1)*ysz+j);
      hold on;
    end;
end;


legends{1} = 'data';
axes(subplots(1,1));
plot([1:n],zeros(1,n),'g-','LineWidth',2);
for jjj=1:nummodels;
       model = models{jjj};    
       legends{jjj+1}=model.name;
       plot([1:n],zeros(1,n),colors(jjj),'LineWidth',2);
end;
plot([1:n],zeros(1,n),'w-','LineWidth',2);



for jjj=1:nummodels;

model = models{jjj};    
    
datacov = covf(data,n+1);
stddata = sqrt(diag(reshape(datacov(:,1),ysz,ysz))'); % rem different than direct std
datacorr = datacov./(kron(stddata,stddata)' * ones(1,n+1));

modelcov = covfct(model,n)*10000;
modelstd = sqrt(diag(squeeze(modelcov(1,:,:))))';
for j=1:n+1;
modelcorr(j,:,:) = squeeze(modelcov(j,:,:))./(modelstd'*modelstd);  
end;


for i=1:ysz;
    
   for j=1:ysz;
        
   axes(subplots(i,j));
   plot([1:n],datacorr((i-1)*ysz+j,2:end),'g-','LineWidth',2);
   plot([1:n],squeeze(modelcorr(2:end,i,j)),colors(jjj),'LineWidth',2);
   plot([1:n],zeros(1,n),'k-');
   grid on;
   axis tight;
   title([names{i} ', lagged ' names{j}]);
   
    
   set(gca,'Xtick',[1:2:n]);
   
    end;
end;


end;

axes(subplots(1,1));
legend(legends);
