function result = covplotn(models,data,names,n);


colors = 'bcrmykbcrmyk';


nummodels = size(models,1)*size(models,2);
check = models{1};
ysz = size(check.phiy,1);

figure;
subplots = zeros(ysz,ysz);
for i=1:ysz;    
    for j=1:ysz;        
      subplots(i,j) = subplot(ysz,ysz,(i-1)*ysz+j);
      hold on;
    end;
end;


legends{1} = 'data';
axes(subplots(1,1));
plot([0:n],zeros(1,n+1),'g-','LineWidth',2);
for jjj=1:nummodels;
       model = models{jjj};    
       legends{jjj+1}=model.name;
       plot([0:n],zeros(1,n+1),colors(jjj),'LineWidth',2);
end;
plot([0:n],zeros(1,n+1),'w-','LineWidth',2);



for jjj=1:nummodels;

model = models{jjj};    
    

modelcov = covfct(model,n)*10000;
datacov = covf(data,n+1);


for i=1:ysz;
    
   for j=1:ysz;
        
   axes(subplots(i,j));
   plot([0:n],datacov((i-1)*ysz+j,:),'g-','LineWidth',2);
   plot([0:n],squeeze(modelcov(:,i,j)),colors(jjj),'LineWidth',2);
   plot([0:n],zeros(1,n+1),'k-');
   grid on;
   axis tight;
   title([names{i} ', lagged ' names{j}]);
   
   set(gca,'Xtick',[1:2:n]);
   if i<ysz;    
   set(gca,'XtickLabel',[]);
    end;

    end;
end;


end;

axes(subplots(1,1));
legend(legends);



%%% impulse response to surprises





figure;
subplots = zeros(ysz+1,ysz);
for i=1:ysz+1;    
    for j=1:ysz;        
      subplots(i,j) = subplot(ysz+1,ysz,(i-1)*ysz+j);
      hold on;
    end;
end;


axes(subplots(1,1));
%plot([0:n],zeros(1,n+1),'g-','LineWidth',2);
for jjj=1:nummodels;
       model = models{jjj};    
       legends{jjj+1}=model.name;
       plot([0:n],zeros(1,n+1),colors(jjj),'LineWidth',2);
end;
plot([0:n],zeros(1,n+1),'w-','LineWidth',2);



for jjj=1:nummodels;

model = models{jjj};    
    

phiz= model.phiy;
phix = model.phix;
AK = model.sigx * inv(model.sigy);

for i=1:ysz+1;  % what is being predicted
    
    
  if i<ysz+1;

    for k=0:20;
      pred(k+1,:) = phiz(i,:)*phix^k;
    end;
       
  else;  
    for k=0:20;
      pred(k+1,:) = ones(1,ysz)*phiz*phix^k;
    end;
  end;
    
   for j=1:ysz;
           
   axes(subplots(i,j));
%    plot([0:20],pred(:,j),colors(jjj),'LineWidth',2);
%    plot([0:20],zeros(1,21),'k-');
   plot([1:21],pred*AK(:,j),colors(jjj),'LineWidth',2);
   plot([1:21],zeros(1,21),'k-');
   
   axis tight;
%    title(['predicting ' names{i} ' with ' names{j}]);
   title(['response of ' names{i} ' forecast to ' names{j} ' surprise']);
   
   set(gca,'Xtick',[1 3 5 10 15 20]);
   if i<ysz;    
   set(gca,'XtickLabel',[]);
    end;

    end;
end;


end;

axes(subplots(1,1));
legend(legends(2:end));


   
   
