function [A,B] = findAB(phi_x,sig_x,mu_m,phi_m,sig_m,maxn);

% findAB(mu,phi,C,lam0,lam1,delta0,delta1,maxn);
% findAB finds An, Bn for our model
% output:
% 	A, B stack the answers in a matrix, 
% 	A = vector A0 A1 ... Amaxn
% 	B = matrix [ B0' ; B1' ;...Bmaxn' ]
%
% input:
% 	mu, phi, C are the VAR, 
%    X = mu + phi X_1 + C eps   mu =0
% 	lam0 and lam1 are the loadings of m on the shocks
% 	-delt1'X = log short rate -- in monthly units!
%  maxn = how far to do calculation, in months
A = zeros(maxn,1);
B = zeros(maxn,size(sig_x,1));
An = 0; 
Bnt = zeros(1,size(sig_x,1)); 


n = 1; 

while n <= maxn;
   An = mu_m + An + 1/2*(sig_m + Bnt*sig_x)*(sig_m + Bnt*sig_x)'; 
   Bnt = phi_m + Bnt*phi_x;
   A(n) = An; 
   B(n,:) = Bnt;
   n = n+1; 
end;
