 
    names{1} = 'cons. growth';
    names{2} = 'inflation';
    names{3} = 'short rate';
    names{4} = 'spread';    


    be = 1/8;
    en = 1/32;
    
    be = 1/6;
    en = 1/32;
    
 
    trends = idfilt(basedata,5, en,'Noncausal');
    cycles = idfilt(basedata,5,[en be],'Noncausal');
    
    trendsmod = idfilt(basedatamod,5,en,'Noncausal');
    cyclesmod = idfilt(basedatamod,5,[en be],'Noncausal');
   
    trendsA = idfilt(basedataA,5,en,'Noncausal');
    cyclesA = idfilt(basedataA,5,[en be],'Noncausal');
    
    trendsAyields = idfilt(basedatayieldsA, 5, en, 'Noncausal');
    cyclesAyields = idfilt(basedatayieldsA, 5, [en be], 'Noncausal');
    trendsmodAyields = idfilt(basedatamodyieldsA, 5, en, 'Noncausal');
    cyclesmodAyields = idfilt(basedatamodyieldsA, 5, [en be], 'Noncausal');

    disp('TABLE 2 RESULTS')
    disp('data')
    [std(trendsAyields)./std(cyclesAyields)]
    
    disp('model')
    [std(trendsmodAyields(:,mats))./std(cyclesmodAyields(:,mats))]
    
    trendsmodA = idfilt(basedatamodA,5,en,'Noncausal');
    cyclesmodA = idfilt(basedatamodA,5,[en be],'Noncausal');
   
    std(cyclesmodA)
    std(trendsmodA)
  
    figure;
    plot(sam,trendsA,'LineWidth',2);
    legend(names);
    
    figure;
    hold on;
    for j=1:4;
        subplot(2,2,j);
        plot(sam,[basedataA(:,j) trendsA(:,j) cyclesA(:,j)],'LineWidth',2);
        title(names{j});
    end;
    legend('data','trend','cycle');

    figure;
    hold on;
    for j=3:4;
        subplot(2,1,j-2);
        hold on;
        plot(sam,[trendsA(:,j)],'g-','LineWidth',2);
        plot(sam,[cyclesA(:,j)],'b-','LineWidth',2);
        plot(sam,[trendsmodA(:,j)],'g--','LineWidth',2);
        plot(sam,[cyclesmodA(:,j)],'b--','LineWidth',2);
        title(names{j});
    end;

   
    figure;
    subplot(2,2,1);
    set(gca,'Fontsize',10);
    plot(sam, trendsA(:,3)+mean(ydatA(:,1)), 'color',.8*ones(1,3),'LineWidth',2); hold on;
    plot(sam, trendsmodA(:,3)+mean(ydatA(:,1)),'color',.5*ones(1,3), 'LineWidth',2); hold on;
    plot(sam,trendsA(:,2)+mu_pi*400,'k'); 
    legend('data','model','inflation','Location','South');
    axis([sam(1) sam(end) 0 10]);
    title('Short Rate: Low frequencies + Mean');
        
    subplot(2,2,2);
    set(gca,'Fontsize',10);
    plot(sam, cyclesA(:,3), 'color',.8*ones(1,3), 'LineWidth',2);hold on;
    plot(sam, cyclesmodA(:,3),'color',.5*ones(1,3), 'LineWidth', 2); hold on;
    plot(sam,cyclesA(:,2),'k'); 
    axis([sam(1) sam(end) -5 5]);
    title('Short Rate: Business cycle frequencies');
     
    subplot(2,2,3);
    set(gca,'Fontsize',10);
    plot(sam,trendsA(:,4)+mean(ydatA(:,end)-ydatA(:,1)),'color', .8*ones(1,3),'LineWidth',2); 
    hold on;
    plot(sam, trendsmodA(:,4)+mean(ydatA(:,end)-ydatA(:,1)),'color', .5*ones(1,3), 'LineWidth',2);
    axis([sam(1) sam(end) -2.5 2.5]);
    title('Spread: Low frequencies + Mean');
    legend('data','model',0);

    subplot(2,2,4);
    set(gca,'Fontsize',10);
    plot(sam,cyclesA(:,4), 'color', .8*ones(1,3),'LineWidth',2); hold on;
    plot(sam, cyclesmodA(:,4), 'color', .5*ones(1,3), 'LineWidth', 2);
    axis([sam(1) sam(end) -2.5 2.5]);
    title('Spread: Business cycle frequencies');

    %print -depsc2 bench.eps;
    print -depsc2 figure5new.eps;
    
    disp('data trends');   
    summarydata(trends,names,5)
    
    disp('model trends');
    summarydata(trendsmod,names,5)
    
    
    disp('data cycles');
    summarydata(cycles,names,5);
    
    disp('model cycles');
    summarydata(cyclesmod,names,5);
    
    
    covplotdata(trends,trendsmod,names,10);
    covplotdata(cycles,cyclesmod,names,10);
    
    