
% ------------------------------------------------------------------------
% Predictability of 1-year excess returns in the data

T=length(ydat);

p = -(ydat/100).*(ones(T,1)*[1/4 1 2 3 4 5]);

hprx = p(5:end,[2 3 4 5]) - p(1:end-4,[3 4 5 6]) - ydat(1:end-4,2)*ones(1,4)/100;

X = [ones(T,1) ydat(:,2)/100 (ydat(:,end)-ydat(:,2))/100 cgrowth pgrowth];
%X = [ones(T,1) (ydat(:,end)-ydat(:,2))/100];

hprx = hprx*400;
X(:,2:end) = X(:,2:end)*400;

hprx = hprx*400;
X(:,2:end) = X(:,2:end)*400;


[betas,stbetas,R2,R2adj,v,F_trash] = olsgmm(hprx,X(1:end-4,:),4,0);  % std errors: HH with 12 lags
[betas,stbetas_trash,R2_trash,R2adj_trash,v,F] = olsgmm(hprx,X(1:end-4,:),6,1); % tests: NW with 18 lags


disp('---Predictability in the data -------------------');
disp('   excess return for bond with maturity (in years)');
disp([2.0000 3.0000 4.0000 5.0000]);
disp('   coefficients in columns');
disp(betas)
disp('   t-ratios ');
disp(betas./stbetas)
disp('   R2s');
disp(R2')


%------------------------------------------------------------------
% Predictability of 1-year excess returns in the model

% Problem: yielddata only makes sense at so-called plotinds indices
% interpolate these observations


ynom = squeeze(ynoms(:,:,2));

mat = [ 1 4 8 12 16 20];
ynom = ynom(:,mat);

ynom(88,:) = (ynom(90,:)+ynom(87,:))/2;
ynom(89,:) = (ynom(90,:)+ynom(87,:))/2;

T=length(ydat);

p = -(ynom/100).*(ones(T,1)*[1/4 1 2 3 4 5]);

hprx = p(5:end,[2 3 4 5]) - p(1:end-4,[3 4 5 6]) - ynom(1:end-4,2)*ones(1,4)/100;

X = [ones(T,1) ynom(:,2)/100 (ynom(:,end)-ynom(:,2))/100 cgrowth pgrowth];

%X = [ones(T,1) (ynom(:,end)-ynom(:,2))/100];

hprx = hprx*400;
X(:,2:end) = X(:,2:end)*400;

hprx = hprx(48:end,:);
X = X(48:end,:);

[betas,stbetas,R2,R2adj,v,F_trash] = olsgmm(hprx,X(1:end-4,:),4,0);  % std errors: HH with 12 lags
[betas,stbetas_trash,R2_trash,R2adj_trash,v,F] = olsgmm(hprx,X(1:end-4,:),6,1); % tests: NW with 18 lags


disp('---Predictability in the model -------------------');
disp('   coefficients in columns');
disp(betas)
disp('   t-ratios ');
disp(betas./stbetas)
disp('   R2s');
disp(R2')
