function result = summaryA(models,data,datameans,names,n);
% produces tables with mean, variance and cov for n lags

colors = 'bcrmykbcrmyk';


nummodels = size(models,1)*size(models,2);
check = models{1};
ysz = size(check.phiy,1);

% table with levels of nominal and real yields
     datacov = covf(data,n+1);
     stddata = sqrt(diag(reshape(datacov(:,1),ysz,ysz))'); % rem different than direct std
     datacorr = datacov./(kron(stddata,stddata)' * ones(1,n+1));

     
    disp('data: mean, standard deviations, own correlations');
    disp([4*datameans;4*std(data)]);
    disp('data: contemporaneous correlations');
    disp(reshape(datacorr(:,1),ysz,ysz));
    disp('data: own autocorrelations');
    for j=2:n+1;
        disp(diag(reshape(datacorr(:,j),ysz,ysz))');
    end;
    
    disp('models: mean, standard deviations, correlations, own autocorrelations');
    for jj=1:nummodels;           
     mod = models{jj}*4;   
     
     modelmeans =(mod.muy)';
     
     modelcov = covfct(mod,n);
     modelstd = sqrt(diag(squeeze(modelcov(1,:,:))))';

     disp(mod.name);
     disp('^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^');
     disp('mean, standard deviations');
     disp([modelmeans;modelstd]);

     for j=1:n+1;
     modelcorr(j,:,:) = squeeze(modelcov(j,:,:))./(modelstd'*modelstd);  
     end;
     
     disp('contemporaneous correlations');
     disp(squeeze(modelcorr(1,:,:)));
     
    disp('own autocorrelations');
    for j=2:n+1;
        disp(diag(squeeze(modelcorr(j,:,:)))');    
    end;
      
     disp('^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^');
     disp('^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^');

    

     
     
     
    end;

    
