% ---------------------------------------------------------------------------
%                               
% ---------------------------------------------------------------------------
clear all; close all;  format compact;



%---------------------INFLATION SURVEYS ---------------------------

    % MICHIGAN SURVEYS
    
    %Table 19: Expected change in Prices during the next 12 months
    %The Questions were:
    %'During the next 12 months, do you think that prices in general will go up, or go down, or stay where they are now?' and 'By what percent do you expect prices to go up, on the average, during the next 12 months?'
    %Qtr	Year	Same or Down	Up by 1-2%	Up by 3-4%	Up by 5%	Up by 6-9%	Up by 10-14%	Up by 15%+	Up, DK how much	DK,NA	Median	Mean	Variance

    % MEANS, starting in 1960:1 - 2005:2 quarterly data
    data = xlsread('MichiganTable19.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    dateMichigan = data(:,2)+(data(:,1)./4-.25);  % 1960:1 - 2005:2 
    %dateMichigan = dateMichigan + 1;    % align realized values and forecasts
    Michigan = 100*log(1+data(keep,end-1)/100);

    % MEDIANS, starting in 1978:1-2005:2, monthly data
    data = xlsread('MICH.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    piFM = data(keep,1);  
    Michiganmedian = [piFM(1);piFM(12:12:end)]; % forecasts for the years 1978-2006
    
    % Quarterly Data from Michigan Surveys, 1978 and after
   
    data = xlsread('scaum_615.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    data = data(keep,:);
    
    dateMichiganmedian5 = 1978:.25:2005.5;
    Michiganmedian5 = data(:,7);
    
    kill = isnan(Michiganmedian5);
    keep = find(kill==0);
    
    dateMichiganmedian5 = dateMichiganmedian5(keep);
    Michiganmedian5  = Michiganmedian5(keep);
         
    % Annual Data from Michigan Surveys
    % 1-year and 5 year forecasts, all households
    data = xlsread('scaum_40.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
        
    dateMichiganmean5 = data(:,1);
    Michiganmean5 = data(:,6); 

    slope = (Michiganmean5(13)-Michiganmean5(10))/2;
    Michiganmean5(11)= Michiganmean5(10)+ slope;
    Michiganmean5(12)= Michiganmean5(10)+ 2*slope;
    
    
    
    %--------------------------------------------------------------
    % Livingston Survey
    
    data = xlsread('medians_old_cpi.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    dataold = data(keep,:);

    data = xlsread('medians_new_cpi.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    datanew = data(keep,:);

    data = [dataold;datanew];
    
    Livingston = 100*(log(data(:,4))-log(data(:,1)));
    dateLivingston = (1951.25:.5:2005.75)';   % the date the forecast is made
    %dateLivingston =  dateLivingston + 1; % the date the forecast is for
    Livingston = Livingston(11:end);  % 1951:June -- 2005:December
   
    
%---------------------  SPF long term forecasts -----------------


   load cpie10.txt;
   
   SPFlong = cpie10(:,end);
   dateSPFlong = cpie10(:,1)+cpie10(:,2)/4;
   
      
    
%----------------------- NIPA consumption and price data  -------


    data = xlsread('NIPA2_3_5.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    data=data(keep,3:end)';

    totalexp=data(:,1);
    ndurableexp=data(:,6);
    serviceexp=data(:,13);

    data = xlsread('NIPA2_3_4.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    data=data(keep,3:end)';

    ptotal=data(:,1);
    pndurable=data(:,6);
    pservice=data(:,13);

    data = xlsread('NIPA2_3_3.xls');
    kill = isnan(data(:,1));
    keep = find(kill==0);
    data=data(keep,3:end)';

    qtotal=data(:,1);
    qndurable=data(:,6);
    qservice=data(:,13);

    wndurable=mean(ndurableexp./(qndurable.*pndurable));
    wservice=mean(serviceexp./(qservice.*pservice));

    w  = [wndurable wservice];
    PI =[pndurable pservice];
    QI =[qndurable qservice];
    expend =  [ ndurableexp serviceexp];
    T = length(PI);

    priceindex(1)=1;
    qtyindex(1)=1;

for i=2:T  
    priceindex(i)=priceindex(i-1)*sqrt((sum(w.*PI(i,:).*QI(i-1,:))*sum(w.*PI(i,:).*QI(i,:)))/...
        (sum(w.*PI(i-1,:).*QI(i-1,:))*sum(w.*PI(i-1,:).*QI(i,:))));
    qtyindex(i)=qtyindex(i-1)*sqrt((sum(w.*PI(i-1,:).*QI(i,:))*sum(w.*PI(i,:).*QI(i,:)))/...
        (sum(w.*PI(i-1,:).*QI(i-1,:))*sum(w.*PI(i,:).*QI(i-1,:))));
end

    cgrowth = diff(log(qtyindex))';
    pgrowth = diff(log(priceindex))';
    sam = (1947.25:.25:2005.75)';
   
    %x = [cgrowth pgrowth];
    
    %save z.dat x -ascii;
    
   
    beg = 21;    % 1952
    
    cgrowth = cgrowth(beg:end);
    pgrowth = pgrowth(beg:end);
    growthA = cgrowth*400;
    pgrowthA = pgrowth*400;
    sam = sam(beg:end);
    
      
%-----------------Data on nominal yields------------------------------------%
    
    load zc.dat;
    ydat = zc(1:3:end,2:end); % quarterly data, starts 1952:2
   
    load short.dat;
    short = short(319:end,:);
    short = short(1:3:end,2);
    
    ydat = [short ydat];
    
    
%--------------------------------------------------------------------


    figure;
    subplot(2,1,1);
    plot( sam, ydat(:,2),'y', sam,ydat(:,5),'y:', sam, pgrowthA,'b',...
         dateMichigan, Michigan,'g:', dateLivingston, Livingston, 'g', ...
          dateSPFlong, SPFlong, 'k', 'LineWidth',1.5);
    title('Livingston survey (green) and Michigan survey (dotted green)');
    axis([1952 2007 -2 16]);
    subplot(2,1,2);
    plot(1952:2007, zeros(length(1952:2007),1),'k',...
        1952.5:.5:2005.5, ydat(2:2:end,2)-Livingston(4:end),'y','LineWidth',1.5);
    title('Difference between 1-year rate and 1-year Livingston inflation forecasts');
    axis([1952 2007 -3 8]);
    
    
    
    figure; 
    
    plot(sam, pgrowthA,'b', ...
         sam, ydat(:,1),'y', ...
         sam, ydat(:,end),'y:', ...
         dateMichiganmedian5, Michiganmedian5, 'g', ...
         dateMichiganmean5, Michiganmean5,'g:',...
         dateSPFlong, SPFlong,'k', 'LineWidth',2);
       
    print -depsc2 surveys.eps;

             