function [ynom,yreal]  = ymodel(param, x, mu_c, phi_c, sig_c, mu_pi, phi_pi, sig_pi, phi_x, sig_x);


beta = param(1);
gam = param(2);

betaprime = min([beta; 1]);

    T= length(x);
            
% real pricing kernel       

    fbeta=sig_c + betaprime*phi_c* inv(eye(length(phi_x))-phi_x*betaprime) * sig_x;
    mu_m  = log(beta)-mu_c-0.5*((1-gam)^2)*fbeta*fbeta';
    phi_m = -phi_c;
    sig_m = -sig_c+(1-gam)*fbeta; 
      
    % real yields
    [ar,br] = findAB(phi_x, sig_x, mu_m, phi_m, sig_m, 20);
    [ar,br] = annualfindaby(ar,br,20);
    ar = ar([1 4 8 12 16 20]);
    br = br([1 4 8 12 16 20],:);
    yreal = ones(T,1)*ar'+x*br';
    yreal = yreal*400;
    
% nominal yields
    mu_mn  = mu_m  - mu_pi;
    phi_mn = phi_m - phi_pi;
    sig_mn = sig_m - sig_pi; 

    [a,b] = findAB(phi_x, sig_x, mu_mn, phi_mn, sig_mn, 20);
    [a,b] = annualfindaby(a,b,20);
     a = a([1 4 8 12 16 20]);
     b = b([1 4 8 12 16 20],:);

    ynom = ones(T,1)*a'+x*b';
    ynom = ynom*400;
    
       